## dtk6log 0.0.1

=== debian/changelog ===
dtk6log (0.0.1) unstable; urgency=medium

  * release 0.0.1

 -- Mike Chen <chenke@deepin.org>  Fri, 05 Jul 2024 15:41:59 +0800

## dtk6log 0.0.5

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.13)

SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
SET(CMAKE_AUTOMOC ON)

FILE (READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" DTK_FILE_VERSION)
STRING (STRIP "${DTK_FILE_VERSION}" DTK_FILE_VERSION)
SET (DLOG_VERSION "${DTK_FILE_VERSION}" CACHE STRING "define project version")
SET (BUILD_WITH_SYSTEMD OFF CACHE BOOL "Build with systemd")
SET (BUILD_WITH_QT6 OFF CACHE BOOL "Build with Qt6")

IF(BUILD_WITH_QT6)
  SET(QT_VERSION_MAJOR "6")
  SET(DTK_VERSION_MAJOR "6")
ELSE()
  SET(QT_VERSION_MAJOR "5")
ENDIF()

SET (DLog "Dtk${DTK_VERSION_MAJOR}Log")
PROJECT(${DLog}
  VERSION ${DLOG_VERSION}
  DESCRIPTION "Simple, convinient and thread safe logger for Qt-based C++ apps"
  LANGUAGES CXX
)

INCLUDE(GNUInstallDirs)
INCLUDE(CMakePackageConfigHelpers) # configure_package_config_file
SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/dtk${QT_VERSION_MAJOR}/DLog")
SET (LIBRARY_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}")
SET (CONFIG_CMAKE_INSTALL_DIR "${LIBRARY_INSTALL_DIR}/cmake/${DLog}" CACHE STRING "Install dir for cmake config files")
SET (MKSPECS_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/mkspecs/modules" CACHE STRING "Install dir for qt pri files")

FIND_PACKAGE(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
FIND_PACKAGE(spdlog REQUIRED)

IF(BUILD_WITH_SYSTEMD)
  FIND_PACKAGE(PkgConfig REQUIRED)
  PKG_CHECK_MODULES(Systemd REQUIRED IMPORTED_TARGET libsystemd)
ENDIF()

ADD_DEFINITIONS(-DLIBDLOG_LIBRARY)

INCLUDE_DIRECTORIES(BEFORE include)

SET(sources
  src/Logger.cpp
  src/AbstractAppender.cpp
  src/AbstractStringAppender.cpp
  src/ConsoleAppender.cpp
  src/FileAppender.cpp
  src/RollingFileAppender.cpp
  src/dloghelper.cpp
  src/rollingfilesink_p.h
)

SET(includes
  include/AbstractStringAppender.h
  include/AbstractAppender.h
  include/ConsoleAppender.h
  include/FileAppender.h
  include/RollingFileAppender.h
  include/dloggerdefs.h
  include/dloghelper.h
  include/Logger.h
  include/dlog_global.h
)

# OutputDebugAppender is only for Windows systems
IF(WIN32)
  SET(sources ${sources} src/OutputDebugAppender.cpp)
  SET(includes ${includes} include/OutputDebugAppender.h)
ENDIF(WIN32)

IF(BUILD_WITH_SYSTEMD)
  SET(sources ${sources} src/JournalAppender.cpp)
  SET(includes ${includes} include/JournalAppender.h)
ENDIF(BUILD_WITH_SYSTEMD)

SET(library_target dtk${DTK_VERSION_MAJOR}log)

ADD_LIBRARY(${library_target} SHARED ${sources} ${includes})

TARGET_INCLUDE_DIRECTORIES(${library_target} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
  "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>"
)

TARGET_LINK_DIRECTORIES(${library_target} INTERFACE
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
  "$<INSTALL_INTERFACE:${LIBRARY_INSTALL_DIR}>"
)

SET_TARGET_PROPERTIES(${library_target} PROPERTIES
  VERSION ${CMAKE_PROJECT_VERSION}
  SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
  EXPORT_NAME Log
)

TARGET_LINK_LIBRARIES(${library_target} PUBLIC Qt${QT_VERSION_MAJOR}::Core)
TARGET_LINK_LIBRARIES(${library_target} PRIVATE
  Qt${QT_VERSION_MAJOR}::CorePrivate
  spdlog::spdlog
)

IF(BUILD_WITH_SYSTEMD)
  ADD_DEFINITIONS(-DBUILD_WITH_SYSTEMD)
  TARGET_LINK_LIBRARIES(${library_target} PRIVATE PkgConfig::Systemd)
ENDIF()

INSTALL(TARGETS ${library_target}
  EXPORT ${DLog}Targets
  DESTINATION ${LIBRARY_INSTALL_DIR}
)

INSTALL(EXPORT ${DLog}Targets
  FILE ${DLog}Targets.cmake
  NAMESPACE Dtk${DTK_VERSION_MAJOR}::
  DESTINATION ${CONFIG_CMAKE_INSTALL_DIR}
)

INSTALL(FILES ${includes} DESTINATION "${INCLUDE_INSTALL_DIR}")

# pkgconfig files
CONFIGURE_FILE(misc/dtklog.pc.in ${library_target}.pc @ONLY)
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${library_target}.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

# qmake module file
CONFIGURE_FILE(misc/qt_lib_dtklog.pri.in qt_lib_dtklog.pri @ONLY)
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/qt_lib_dtklog.pri DESTINATION "${MKSPECS_INSTALL_DIR}")

CONFIGURE_PACKAGE_CONFIG_FILE(misc/DLogConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/${DLog}Config.cmake
    INSTALL_DESTINATION ${CONFIG_CMAKE_INSTALL_DIR}
)
WRITE_BASIC_PACKAGE_VERSION_FILE(
    "${CMAKE_CURRENT_BINARY_DIR}/${DLog}ConfigVersion.cmake"
    VERSION ${DLOG_VERSION}
    COMPATIBILITY SameMajorVersion
)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DLog}Config.cmake DESTINATION ${CONFIG_CMAKE_INSTALL_DIR})
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DLog}ConfigVersion.cmake DESTINATION ${CONFIG_CMAKE_INSTALL_DIR})

## dtk6log 0.0.2

=== debian/changelog ===
dtk6log (0.0.2-2ubuntu1) questing; urgency=medium

  * d/patches: Add upstream_fix-compilation-on-Qt-6.9.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 08:24:21 +0100

dtk6log (0.0.2-2build2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 07:41:31 +0100

dtk6log (0.0.2-2build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:05:45 -0500

dtk6log (0.0.2-2) unstable; urgency=medium

  * debian/control: Limit package architecture to linux-any.
  * debian/control: Fix Vcs-* and Homepage field.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 12:35:21 -0500

dtk6log (0.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1090338)

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Dec 2024 20:12:19 -0500

=== debian/control ===
Source: dtk6log
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat ( =13),
 libspdlog-dev,
 libsystemd-dev,
 pkgconf,
 qt6-base-private-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/linuxdeepin/dtk6log
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtk6log.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtk6log
Description: Simple, convenient and thread-safe C++ Qt6 logger library
 Dtklog provides a simple, convenient and thread-safe logger for Qt6-based
 C++ applications.

Package: libdtk6log0
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libdtk6log,
Replaces:
 libdtk6log,
Provides:
 libdtk6log,
Multi-Arch: same
Description: ${source:Synopsis} (shared library)
 ${source:Extended-Description}
 .
 This package contains the shared libraries.

Package: libdtk6log-dev
Architecture: linux-any
Section: libdevel
Depends:
 libdtk6log0 (= ${binary:Version}),
 ${misc:Depends},
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package contains the library development files.

=== debian/watch ===
version=4
opts="dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dtklog-$1.tar.gz%" \
    https://github.com/linuxdeepin/dtk6log/tags \
    (?:.*?/)?v?(\d[\d.]*r?c?\d?)\.tar\.gz debian uupdate

## dtk6log 0.0.4

=== debian/changelog ===
dtk6log (0.0.4) unstable; urgency=medium

  * Release 0.0.4

 -- yeshanshan <yeshanshan@uniontech.com>  Mon, 23 Jun 2025 14:53:54 +0800

dtk6log (0.0.2) unstable; urgency=medium

  * release 0.0.2

 -- Mike Chen <chenke@deepin.org>  Thu, 05 Dec 2024 14:19:36 +0800

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export QT_SELECT = qt6
export DEB_CXXFLAGS_MAINT_APPEND = -Ofast

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

VERSION = $(DEB_VERSION_UPSTREAM)
PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')

# Calculate build version:
# 5.6.8 -> 0; 5.6.8.7 -> 7; 5.6.8+u001 -> 1; 5.6.8.7+u001 -> 7; 5.6.8.0+u001 -> 0
BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}' | awk -F'.' '{print $$4}' | sed 's/[^0-9]//g' | awk '{print int($$1)}')
ifeq ($(BUILD_VER), 0)
ifeq ($(shell expr $(shell echo "$(VERSION)" | awk -F. '{print NF-1}') '<' 3), 1)
	BUILD_VER=$(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}'  | sed 's/[^0-9]//g' | awk '{print int($$1)}')
endif
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DDLOG_VERSION=$(PACK_VER) -DBUILD_WITH_SYSTEMD=ON -DBUILD_WITH_QT6=ON

override_dh_makeshlibs:
	dh_makeshlibs -V "libdtk6log (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"

## dtk6log 0.0.5

=== debian/changelog ===
dtk6log (0.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 10 Aug 2025 19:14:57 -0400

=== debian/watch ===
version=4
opts="dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dtk6log-$1.tar.gz%" \
    https://github.com/linuxdeepin/dtk6log/tags \
    (?:.*?/)?v?(\d[\d.]*r?c?\d?)\.tar\.gz debian uupdate

## dtk6log 0.0.6

=== debian/changelog ===
dtk6log (0.0.6-2~exp1) experimental; urgency=medium

  * Test rebuild with Qt6 6.10.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Feb 2026 11:33:56 -0500

dtk6log (0.0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Update to version 5.
  * debian/rules: Enable full hardening.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Jan 2026 20:00:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: dtk6log
 Section: libs
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -11,8 +9,8 @@
  libspdlog-dev,
  libsystemd-dev,
  pkgconf,
- qt6-base-private-dev,
-Standards-Version: 4.7.2
+ qt6-base-private-dev (>= 6.10),
+Standards-Version: 4.7.3
 Homepage: https://github.com/linuxdeepin/dtk6log
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtk6log.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtk6log

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

VERSION = $(DEB_VERSION_UPSTREAM)
PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DDLOG_VERSION=$(PACK_VER) -DBUILD_WITH_SYSTEMD=ON -DBUILD_WITH_QT6=ON

## dtk6log 0.0.7

=== debian/changelog ===
dtk6log (0.0.7) unstable; urgency=medium

  * Release 0.0.7

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:45:26 +0800

dtk6log (0.0.6) unstable; urgency=medium

  * Release 0.0.6

 --  yeshanshan <packages@deepin.org>  Fri, 10 Oct 2025 18:02:09 +0800

dtk6log (0.0.5) unstable; urgency=medium

  * Release 0.0.5

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 20:06:24 +0800

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export QT_SELECT = qt6
export DEB_CXXFLAGS_MAINT_APPEND = -Ofast

# 安全编译参数
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CXXFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

VERSION = $(DEB_VERSION_UPSTREAM)
PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')

# Calculate build version:
# 5.6.8 -> 0; 5.6.8.7 -> 7; 5.6.8+u001 -> 1; 5.6.8.7+u001 -> 7; 5.6.8.0+u001 -> 0
BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}' | awk -F'.' '{print $$4}' | sed 's/[^0-9]//g' | awk '{print int($$1)}')
ifeq ($(BUILD_VER), 0)
ifeq ($(shell expr $(shell echo "$(VERSION)" | awk -F. '{print NF-1}') '<' 3), 1)
	BUILD_VER=$(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}'  | sed 's/[^0-9]//g' | awk '{print int($$1)}')
endif
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DDLOG_VERSION=$(PACK_VER) -DBUILD_WITH_SYSTEMD=ON -DBUILD_WITH_QT6=ON

override_dh_makeshlibs:
	dh_makeshlibs -V "libdtk6log (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2,3))"
